HaruDoc::loadTTC
HaruDoc::loadType1
HaruDoc
PHP Manual

# HaruDoc::loadTTF

(PECL haru:0.0.1)

HaruDoc::loadTTF — Load TTF font file

### Description

string HaruDoc::loadTTF ( string `$fontfile` [, bool `$embed` ] )

Loads the given TTF file and (optionally) embed its data into the document.

### Parameters

`fontfile`

  The TTF file to load.

`embed`

  When set to `TRUE`, the glyph data of the font is embedded into the PDF file, otherwise only the matrix data is included. Defaults to `FALSE`.

### Return Values

Returns the name of the loaded font on success.

### Errors/Exceptions

Throws HaruException on error.

### See Also

- HaruDoc::loadTTC()
- HaruDoc::loadType1()

HaruDoc::loadTTC
HaruDoc::loadType1
HaruDoc
PHP Manual